{{- $self := .self -}}
{{- $bg := .self.Scratch.Get "bg" }}

{{- partial "helpers/container.html" (dict "start" true "in_slot" .in_slot "bg" $bg "id" .id "Params" .Params) -}}
  {{- partial "helpers/section-header.html" (dict "self" $self "bg" $bg "params" .Params) }}
  <div class="row text-center justify-content-center">
    {{- range .Params.buttons }}
      {{- $color := .color | default "primary" -}}
      {{- $target := .target | default "" }} <!-- Default to no target -->
      
      <a class="btn btn-lg m-2{{ if hasPrefix .url "#" }} anchor{{ end }} btn-{{ $color }}"
         href="{{ .url | relLangURL }}"
         {{- if eq $target "blank" }} target="_blank"{{ end }}>
        {{- .text -}}
      </a>
    {{- end }}
  </div>
{{- partial "helpers/container.html" (dict "end" true "in_slot" .in_slot) -}}
